Не работают sms алармы при запущенном gammu-smsd

Сейчас если поднять в контроллере gammu-smsd для работы с sms, то отваливаются стандартные алармы через sms, т.к. gammu не работает, когда запущен gammu-smsd. А вызов gammu у вас захардкожен тут:

Вопроса два:

  1. Планируется ли это пофиксить?
  2. Если нет, принимаете ли вы пул-реквесты (я сам могу поправить и хочется чтобы это в дефолте было)?

Добрый день,

  1. нет
  2. да

Ну у вас другая проблема. Что-то уже висит на этом устройстве.

ну теперь то я спокоен :slight_smile:
осталось узнать что именно, учитывая что ничего на нем висеть не должно

попробуйте при запущенном демоне положить в папку /var/spool/gammu/outbox файл в формате OUT+7(номер телефона).txt
например такой OUT+79161231212.txt

у меня все отправилось, хотя из командной строки через gammu не отпралялось

Из gammu не отправлялось, потому что вы сервис gammu-smsd не остановили.

В общем все у вас работает. Печально, опять у меня какой-то косяк.

в любом варианте не отправлялось

Ладно, у вас в любом случае другая ошибка )

но тут у меня вопрос к разработчиком, а каким методом пользуются функции движка? ведь если не через очередь smsd, то получается уведомления работать не будут

Я вам и без разработчиков отвечу:

Но еще раз повторю - у вас там какая-то другая проблема, давайте не будем в этой теме отвлекаться )

Сделал пуллреквест

1 Like

Я так и не разобрался как посылать смс с помощью gammu-smsd.
Так не работает:
Notify.sendSMS(mobile_number, message_text, “wb-gsm restart_if_broken && gammu-smsd-inject TEXT ‘{}’ -unicode”);

Эти изменения еще не вышли в релиз

Есть ли у кого скомпилированный gammu-smsd 1.41 для wirenboard? В версии для stretch (1.38.1) нету поддержки USSD.

Вроде всё есть:

root@wirenboard-AQZBLNTY:~# gammu --help
[Gammu version 1.38.1]
root@wirenboard-AQZBLNTY:~# gammu getussd
More parameters required (function requires 1)
Parameters help:
code

Если запущен gammu-smsd, gammu getussd не работает.
Нужно gammu-smsd-inject USSD ‘*…#’ а это появилось только в 1.38.5

Могли бы вы скомпилировать gammu-smsd 1.41 и зависимые пакеты под wirenboard? Окружение у вас для этого по идее должно быть настроено…

Боюсь, что у нас это затянется.
Попробуйте скачать уже собранные пакеты для нового Debian (тут называется testing) - и пакет, и зависимости: https://packages.debian.org/bullseye/gammu. Для Wiren Board 6 архитектура armhf, для Wiren Board 5 - armel.

Едва ли gammu так зависит от версии Debian, что это не заработает.

Второй вариант: если у вас 3G модем, то у него несколько виртуальных портов. Может получится разнести SMS и USSD на разные?